import { Observable } from 'rxjs';
import { IDataFilter } from 'verben-ng-ui';
import { Workflow } from '../../models/Workflow';
import { QueryParams } from '../../models/query-params';
import { WorkflowOperation } from '../../models/WorkflowOperation';
import * as i0 from "@angular/core";
export declare class WorkflowsState {
    private updating$;
    private requests$;
    private searchTerm$;
    private queryParams$;
    private filterParams$;
    private operations$;
    isUpdating$(): Observable<boolean>;
    setUpdating(isUpdating: boolean): void;
    getRequests$(): Observable<Workflow[]>;
    setRequests(requests: Workflow[]): void;
    setOperations(operations: WorkflowOperation[]): void;
    getOperations$(): Observable<WorkflowOperation[]>;
    getFilterParams$(): Observable<IDataFilter[]>;
    setFilterParams(params: IDataFilter[]): void;
    appendRequests(newRequests: Workflow[]): void;
    getSearchTerm$(): Observable<string>;
    getSearchTermValue(): string;
    setSearchTerm(term: string): void;
    getQueryParams$(): Observable<QueryParams<Workflow>>;
    getQueryParamsValue(): QueryParams<Workflow>;
    updateQueryParams(params: Partial<QueryParams<Workflow>>): void;
    resetPagination(): void;
    addRequest(request: Workflow): void;
    updateRequest(updatedRequest: Workflow): void;
    removeRequest(requestId: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowsState, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkflowsState>;
}
